Bug 55792 - upgrade fails: not enough room on /
Summary: upgrade fails: not enough room on /
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-06 19:06 UTC by olchansk
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 20:23:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description olchansk 2001-11-06 19:06:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The installer does not do proper checks on available disk
space before starting an "upgrade".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Try to upgrade from redhat-6.2 to redhat-7.2 on disk with about 1 Gbyte
of free disk space.

Actual Results:  Upgrades to redhat-7.2 fail with "unsufficient disk space"
errors after the extremely time consuming "preparing to install" progress
bar. I had two failures out of two upgrades- one being 23 Mbytes short on
disk space (on a 12 Gbyte disk with 1 Gbyte free before
the upgrade), the other 10 Mbytes short. This is ridiculous.



Expected Results:  The installer should:

1) make it clear how much space is available and how much is
   needed, in the package selection screen.
2) warn that there is not enough space *before* going through the      
   painfully slow "checking package dependancies" and
   "preparing to install" phases.
3) include a reasonable margin of error, to avoid silly
   "short 1 Mbyte out of 5 Gbytes of disk space" failures.
4) if there is not enough space, automatically offer the user
   to unselect some packages.



Additional info:

Comment 1 Jeremy Katz 2002-04-09 22:35:18 UTC
This will require substantial changes to the way the upgrade process works. 
Will revisit for a future release.

Comment 2 Dave Kritzberg 2005-01-21 08:39:07 UTC
I have had this very problem upgrading my laptop from FC1 to FC3.  The
installer said I needed 526MB more room on /.  But to my knowledge,
there was plenty of room on the drive.


Note You need to log in before you can comment on or make changes to this bug.